//+build android

package main

import (
	"os"

	"git.wow.st/gmp/passgo"
	"gioui.org/app"
	"gioui.org/io/event"
)

var (
	noidLabelText = "Enter a GPG key ID above"
)

func init() {
	log(Info, "Android start")
	// Use a larger font on Android
	fontSize = 24
}

func handleEvent(e event.Event) {
	switch e := e.(type) {
	case app.ViewEvent:
		initPgp(e.View)
	}
}

func initPgp(view uintptr) {
	passgo.InitPgp(view)
}

func getConfDir() (string, error) {
	ret, err := app.DataDir()
	if err != nil {
		log(Error, "Cannot get data directory:", err)
		return "", err
	}
	if _, err := os.Stat(ret); os.IsNotExist(err) {
		err = os.MkdirAll(ret, 0700)
		if err != nil {
			log(Error, "Cannot create configuration directory ", ret)
			return "", err
		} else {
			log(Info, "Configuration directory created")
			return ret, nil
		}
	} else {
		log(Info, "Configuration directory found")
		return ret, nil
	}
}
